%global momorel 1

Summary: Reads the raw image formats of more than 170 digital cameras
Name: dcraw
Version: 8.15
Release: %{momorel}m
License: see "dcraw.c"
URL: http://www.cybercom.net/~dcoffin/dcraw/
Group: Applications/Multimedia
Source0: http://www.cybercom.net/~dcoffin/dcraw/dcraw.c
Source2: http://www.cybercom.net/~dcoffin/dcraw/rawphoto.c
Source3: http://www.cybercom.net/~dcoffin/dcraw/.badpixels
Source4: http://www.cybercom.net/~dcoffin/dcraw/dcraw.1
Source5: http://www.cybercom.net/~dcoffin/dcraw/dcwrap
Source6: http://www.cybercom.net/~dcoffin/dcraw/parse.c
Source7: http://www.cybercom.net/~dcoffin/dcraw/fixdates.c
Source8: http://www.cybercom.net/~dcoffin/dcraw/decompress.c
Source9: http://www.cybercom.net/~dcoffin/dcraw/pgm.c
Source10: http://neuemuenze.heim1.tu-clausthal.de/~sven/crwinfo/CRWInfo-0.2.tar.gz
Source11: http://www.cybercom.net/~dcoffin/dcraw/fujiturn.c
Source100: http://www.cybercom.net/~dcoffin/dcraw/sony_clear.c
Source110: http://www.cybercom.net/~dcoffin/dcraw/renum
Source120: http://www.cybercom.net/~dcoffin/dcraw/lcfile
# This is a copy of the dcraw home page with camera list, usage info, FAQ,
# ...
Source200: http://www.cybercom.net/~dcoffin/dcraw/index.html
Source210: http://www.cybercom.net/~dcoffin/dcraw/secrets.html
# Remove multiple-line string constant from crwinfo.c, gcc cannot handle it
Patch0: crwinfo-help.patch.bz2
# gcc 4.x does not allow cast on left hand side of assignment
Patch1:	dcraw-7.42-sony-clear-gcc-4.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gimp-devel
BuildRequires: libjpeg-devel, lcms-devel

%description
Reads and processes raw images from more than 170 digital cameras.

Raw images are the data directly read from the CCD of the camera,
without in-camera processing, without lossy JPEG compression, and in
36 or 48 bits color depth (TIFF has 24 bits). Problem of the raw
images is that they are in proprietary, camera-specific formats as
once, there seems not to be a standard format for high-color-depth
images, and second, the raw images contain headers with information
about camera settings.

This is a collection of command line tools to read and convert the raw
image files and also to get camera setting information out of them.

Please read the /usr/share/doc/%{name}-%{version}/index.html file (all
programs mentioned in this file are included with this package and the
dcraw-gimp packages) and the man page ("man dcraw").

Install also dcraw-gimp if you want to be able to load raw image
files directly into the GIMP 2.

This program does not download the files from the camera, it only
processes the already downloaded files. Depending on your camera
model, mount your camera as a USB mass-storage device, use GPhoto2
("gtkam", "digikam", "flphoto", "gphoto2"), or a flash card reader for
downloading the files.

Supported cameras:

        * Adobe Digital Negative (DNG)
        * AVT F-145C
        * AVT F-201C
        * AVT F-510C
        * AVT F-810C
        * Canon PowerShot 600
        * Canon PowerShot A5
        * Canon PowerShot A5 Zoom
        * Canon PowerShot A50
        * Canon PowerShot Pro70
        * Canon PowerShot Pro90 IS
        * Canon PowerShot G1
        * Canon PowerShot G2
        * Canon PowerShot G3
        * Canon PowerShot G5
        * Canon PowerShot G6
        * Canon PowerShot S30
        * Canon PowerShot S40
        * Canon PowerShot S45
        * Canon PowerShot S50
        * Canon PowerShot S60
        * Canon PowerShot S70
        * Canon PowerShot Pro1
        * Canon EOS D30
        * Canon EOS D60
        * Canon EOS 5D
        * Canon EOS 10D
        * Canon EOS 20D
        * Canon EOS 300D
        * Canon EOS 350D
        * Canon EOS Digital Rebel
        * Canon EOS Digital Rebel XT
        * Canon EOS Kiss Digital
        * Canon EOS D2000C
        * Canon EOS-1D
        * Canon EOS-1DS
        * Canon EOS-1D Mark II
        * Canon EOS-1D Mark II N
        * Canon EOS-1Ds Mark II
        * Casio QV-2000UX
        * Casio QV-3000EX
        * Casio QV-3500EX
        * Casio QV-4000
        * Casio QV-5700
        * Casio QV-R51
        * Casio QV-R61
        * Casio EX-S100
        * Casio EX-Z50
        * Casio EX-Z55
        * Casio Exlim Pro 505
        * Casio Exlim Pro 600
        * Casio Exlim Pro 700
        * Contax N Digital
        * Creative PC-CAM 600
        * Epson R-D1
        * Foculus 531C
        * Fuji FinePix E550
        * Fuji FinePix F700
        * Fuji FinePix F710
        * Fuji FinePix F800
        * Fuji FinePix F810
        * Fuji FinePix S2Pro
        * Fuji FinePix S3Pro
        * Fuji FinePix S20Pro
        * Fuji FinePix S5000
        * Fuji FinePix S5100/S5500
        * Fuji FinePix S5200
        * Fuji FinePix S7000
        * Fuji FinePix S9000/S9500
        * Imacon Ixpress 16-megapixel
        * Imacon Ixpress 22-megapixel
        * ISG 2020x1520
        * Kodak DC20  (see Oliver Hartman's page,
              http://www.planet-interkom.de/oliver.hartmann/dc20secr.htm)
        * Kodak DC25 (see Jun-ichiro Itoh's page,
              http://www.itojun.org/diary/19961113/index.eng.html)
        * Kodak DC40 (aka "Logitech Fotoman Pixtura")
        * Kodak DC50
        * Kodak DC120 (also try kdc2tiff,
              http://kdc2tiff.sourceforge.net/)
        * Kodak DCS315C
        * Kodak DCS330C
        * Kodak DCS420
        * Kodak DCS460
        * Kodak DCS460A
        * Kodak DCS520C
        * Kodak DCS560C
        * Kodak DCS620C
        * Kodak DCS620X
        * Kodak DCS660C
        * Kodak DCS660M
        * Kodak DCS720X
        * Kodak DCS760C
        * Kodak DCS760M
        * Kodak EOSDCS1
        * Kodak EOSDCS3B
        * Kodak NC2000F
        * Kodak ProBack
        * Kodak PB645C
        * Kodak PB645H
        * Kodak PB645M
        * Kodak DCS Pro 14n
        * Kodak DCS Pro 14nx
        * Kodak DCS Pro SLR/c
        * Kodak DCS Pro SLR/n
        * Kodak P850
        * Kodak P880
        * Kodak KAI-0340
        * Konica KD-400Z
        * Konica KD-510Z
        * Leaf Aptus 17
        * Leaf Valeo 11
        * Leaf Valeo 22
        * Leaf Volare
        * Leica Digilux 2
        * Logitech Fotoman Pixtura
        * Minolta RD175
        * Minolta DiMAGE 5
        * Minolta DiMAGE 7
        * Minolta DiMAGE 7i
        * Minolta DiMAGE 7Hi
        * Minolta DiMAGE A1
        * Minolta DiMAGE A2
        * Minolta DiMAGE A200
        * Minolta DiMAGE G400
        * Minolta DiMAGE G500
        * Minolta DiMAGE G600
        * Minolta DiMAGE Z2
        * Minolta Alpha/Dynax/Maxxum 5D
        * Minolta Alpha/Dynax/Maxxum 7D
        * Nikon D1
        * Nikon D1H
        * Nikon D1X
        * Nikon D100
        * Nikon D2H
        * Nikon D2Hs
        * Nikon D2X
        * Nikon D200
        * Nikon D50
        * Nikon D70
        * Nikon D70s
        * Nikon E700 ("DIAG RAW" hack)
        * Nikon E800 ("DIAG RAW" hack)
        * Nikon E880 ("DIAG RAW" hack)
        * Nikon E900 ("DIAG RAW" hack)
        * Nikon E950 ("DIAG RAW" hack)
        * Nikon E990 ("DIAG RAW" hack)
        * Nikon E995 ("DIAG RAW" hack)
        * Nikon E2100 ("DIAG RAW" hack)
        * Nikon E2500 ("DIAG RAW" hack)
        * Nikon E3700 ("DIAG RAW" hack)
        * Nikon E4300 ("DIAG RAW" hack)
        * Nikon E4500 ("DIAG RAW" hack)
        * Nikon E5000
        * Nikon E5400
        * Nikon E5700
        * Nikon E8400
        * Nikon E8700
        * Nikon E8800
        * Olympus C3030Z
        * Olympus C5050Z
        * Olympus C5060WZ
        * Olympus C7070WZ
        * Olympus C70Z,C7000Z
        * Olympus C740UZ
        * Olympus C770UZ
        * Olympus C8080WZ
        * Olympus E-1
        * Olympus E-10
        * Olympus E-20
        * Olympus E-300
        * Olympus E-500
        * Olympus SP500UZ
        * Panasonic DMC-FZ30
        * Panasonic DMC-LC1
        * Panasonic DMC-LX1
        * Pentax *ist D
        * Pentax *ist DL
        * Pentax *ist DS
        * Pentax Optio S
        * Pentax Optio S4
        * Pentax Optio 33WR
        * Phase One LightPhase
        * Phase One H 10
        * Phase One H 20
        * Phase One H 25
        * Phase One P 20
        * Phase One P 25
        * Phase One P 30
        * Phase One P 45
        * Pixelink A782
        * Polaroid x530
        * Rollei d530flex
        * RoverShot 3320af
        * Sarnoff 4096x5440
        * Sigma SD9
        * Sigma SD10
        * Sinar 3072x2048
        * Sinar STI format
        * SMaL Ultra-Pocket 3
        * SMaL Ultra-Pocket 4
        * SMaL Ultra-Pocket 5
        * Sony DSC-F828
        * Sony DSC-R1
        * Sony DSC-V3
        * STV680 VGA 

On cameras which need the "DIAG RAW" hack, the manufacturer does not
support raw image capturing, neither by buttons/menues on the camera,
nor by the bundled Windows/Mac software. Please have a look at
http://e2500.narod.ru/raw_format_e.htm. Neither Mandriva nor the
author of dcraw overtakes any responsability on your camera when using
the "DIAG RAW" hack. On Casio cameras (at least the old models) follow
the instructions on http://www.inweb.ch/foto/rawformat.html and read
also
http://forums.dpreview.com/forums/read.asp?forum=1015&message=4961779.
For the Minolta DiMAGE G400, G500, and G600 see
http://myfototest.narod.ru/ or
http://forums.dpreview.com/forums/read.asp?forum=1024&message=11773287. If
you have the Minolta DiMAGE Z2 or the Nikon Coolpix 2100/3100/3700
follow the instructions on this page:
http://tester13.nm.ru/nikon/. For SMaL cameras, see the camerahacking
Forum, http://camerahacks.10.forumer.com/. On all other cameras take
raw pictures following the manufacturer's instructions, as they
support raw shooting officially.

%package gimp
Summary: A GIMP plug-in to load raw files of digital cameras
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: gimp
 
%description gimp
GIMP 2.2.x plug-in to load all raw image files of digital cameras
supported by the dcraw package. This allows direct editing of the
original images of the camera, without any conversion or compression
loss.

%prep
# clean up
rm -rf %{_builddir}/%{name}-%{version}

mkdir -p %{_builddir}/%{name}-%{version}/gimp

%setup -q -T -D -a 10 -n %{name}-%{version}

cp %{SOURCE0} .
cp %{SOURCE2} gimp/
cp %{SOURCE3} .
cp %{SOURCE4} .
cp %{SOURCE5} .
cp %{SOURCE6} .
cp %{SOURCE7} .
cp %{SOURCE8} .
cp %{SOURCE9} .
cp %{SOURCE11} .
cp %{SOURCE100} .
cp %{SOURCE110} .
cp %{SOURCE120} .
cp %{SOURCE200} .
cp %{SOURCE210} .

pushd CRWInfo-*
%patch0 -p0 -b .help
popd
%patch1 -p0 -b .gcc4

%build
gcc %{optflags} -lm -ljpeg -llcms -o dcraw dcraw.c

# Build simple C programs
for file in *.c; do
   if [ "$file" != "dcraw.c" ]; then
      gcc %{optflags} -lm -o ${file%.c} $file
   fi
done

# Build GIMP plug-in
gimptool-2.0 --build gimp/rawphoto.c
mv rawphoto gimp

# Build programs provided in tarballs
pushd CRWInfo-*
%make
popd

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# Directories
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/gimp/2.0/plug-ins
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}
mkdir -p %{buildroot}%{_mandir}/man1

# Program files
install -m 755 dcraw %{buildroot}%{_bindir}
install -m 755 decompress %{buildroot}%{_bindir}
install -m 755 fixdates %{buildroot}%{_bindir}
install -m 755 fujiturn %{buildroot}%{_bindir}
install -m 755 parse %{buildroot}%{_bindir}
install -m 755 pgm %{buildroot}%{_bindir}
install -m 755 gimp/rawphoto %{buildroot}%{_libdir}/gimp/2.0/plug-ins
install -m 755 CRWInfo*/crwinfo %{buildroot}%{_bindir}
install -m 755 sony_clear %{buildroot}%{_bindir}
install -m 755 renum %{buildroot}%{_bindir}
install -m 755 lcfile %{buildroot}%{_bindir}

# Documentation
install -m 644 dcraw.1 %{buildroot}%{_mandir}/man1
cp .badpixels badpixels
pushd CRWInfo-*
cp README README.crwinfo
cp spec spec.crwinfo
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc dcraw.c index.html secrets.html badpixels CRWInfo-*/README.crwinfo CRWInfo-*/spec.crwinfo
%{_bindir}/crwinfo
%{_bindir}/dcraw
%{_bindir}/decompress
%{_bindir}/fixdates
%{_bindir}/fujiturn
%{_bindir}/lcfile
%{_bindir}/parse
%{_bindir}/pgm
%{_bindir}/renum
%{_bindir}/sony_clear
%{_mandir}/man1/dcraw.1*

%files gimp
%defattr(-,root,root)
%{_libdir}/gimp/2.0/plug-ins/rawphoto

%changelog
* Fri May 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (8.15-1m)
- initial package for digikam-0.8.2
- import package style from cooker

* Fri Feb  3 2006 Till Kamppeter <till@mandriva.com> 8.03-1mdk
- Updated to version 7.49 (New cameras supported, including Sony DSC R1,
  Pentax *istDL, Olympus E-500, Canon EOS 5D; Color management based on
  LittleCMS).
- Also updated: rawphoto.c, parse.c dcraw.html, dcraw.1
- Re-introduced GIMP plug-in, it builds again.
- Introduced %%mkrel.

* Fri Sep  2 2005 Till Kamppeter <till@mandriva.com> 7.49-2mdk
- Removed unneeded "Requires: ".
- Removed GIMP plug-in. Does not build any more and there are several
  better ones around (ex.: ufraw).

* Sun Aug 14 2005 Till Kamppeter <till@mandriva.com> 7.49-1mdk
- Updated to version 7.49 (New cameras supported, including Minolta
  Alpha/Dynax/Maxxum 5D and Olympus C770UZ).
- Updated also: rawphoto, parse.

* Sun Jul 17 2005 Till Kamppeter <till@mandriva.com> 7.42-1mdk
- Updated to version 7.42 (New cameras supported, including Nikon D50).
- Updated also: parse.
- Removed restriction on using gcc 3.x, it works with gcc 4.x now.
- Patch1 to make sony_clear working with gcc 4.x.

* Sat May 14 2005 Till Kamppeter <till@mandriva.com> 7.21-1mdk
- Updated to version 7.21 (New cameras supported, including Canon EOS 350D).
- Updated also: .badpixels, parse, fujiturn.
- Still some compatibility issues with GCC 4.x, using 3.x for now.

* Thu Apr 21 2005 Till Kamppeter <till@mandriva.com> 7.14-1mdk
- Updated to version 7.14 (Many new cameras, support for the Adobe
  Digital Negative format, DNG).
- Updated also: rawphoto, parse.

* Mon Mar  7 2005 Till Kamppeter <till@mandrakesoft.com> 6.35-2mdk
- Added "Conflicts: ufraw" to the GIMP 2 plugin package.

* Mon Mar  7 2005 Till Kamppeter <till@mandrakesoft.com> 6.35-1mdk
- Updated to version 6.35.
- Updated also: parse.
- Updated to "Requires: jpeg-progs".
- Updated to "Requires: gimp" (it is every day changing).

* Fri Feb 11 2005 Till Kamppeter <till@mandrakesoft.com> 6.34-1mdk
- Updated to version 6.34.
- Updated also: dcwrap, parse, rawphoto.

* Sat Jan 15 2005 Couriousous <couriousous@mandrake.org> 6.18-2mdk
- Fix gimp requires

* Fri Dec 17 2004 Till Kamppeter <till@mandrakesoft.com> 6.18-1mdk
- Updated to version 6.18 (New cameras supported, especially all recent
  DSLRs).

* Tue Sep 07 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.20040813-2mdk
- add BuildRequires: libjpeg-devel

* Fri Aug 13 2004 Till Kamppeter <till@mandrakesoft.com> 0.20040813-1mdk
- Updated to the state of 13/08/2004 (More camera models supported).
- Removed support for GIMP 1.x as dcraw is in main and GIMP 1.x in contrib.

* Tue May 11 2004 Till Kamppeter <till@mandrakesoft.com> 0.20040511-1mdk
- Updated to the state of 11/05/2004 (Many new camera models supported).

* Thu Mar 25 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.20040317-2mdk
- rebuild for gimp2

* Wed Mar 17 2004 Till Kamppeter <till@mandrakesoft.com> 0.20040317-1mdk
- Updated to the state of 15/12/2003 (Many new camera models supported,
  GIMP 2.0 support, some new tools added).

* Mon Dec 15 2003 Till Kamppeter <till@mandrakesoft.com> 0.20031215-1mdk
- Updated to the state of 15/12/2003 (Many new camera models supported).

* Sun Sep 28 2003 Till Kamppeter <till@mandrakesoft.com> 0.20030928-2mdk
- Fixed patch to correct crwinfo help text.

* Sun Sep 28 2003 Till Kamppeter <till@mandrakesoft.com> 0.20030928-1mdk
- First release for Mandrake Linux
